package net.roseindia;

import java.sql.*;

public class JDBCTransactionExample {

	public static void main(String[] args) {
		try {

			Connection conn = null;
			Statement stmt = null;
			ResultSet rs = null;
			String driverName = "com.mysql.jdbc.Driver";
			String connectionUrl = "jdbc:mysql://localhost:3306/";
			String databaseName = "jdbcexamples";
			String userName = "root";
			String password = "root";

			// Loading Driver
			Class.forName(driverName);
			// Creating Connection
			conn = DriverManager.getConnection(connectionUrl + databaseName,
					userName, password);
			
			// Setting auto commit false
			conn.setAutoCommit(false);
			
			System.out.println("Databese Connection Done........");

			// Creating Statement
			stmt = conn.createStatement();
			// Creating Query String
			String updateQuery1 = "INSERT INTO student1 VALUES(1,'Vinay','MCA','Delhi')";
			String updateQuery2 = "INSERT INTO student1 VALUES(2,'Ram','BCA','Delhi')";
			String selectQuery = "SELECT * FROM student1";
			
			stmt.executeUpdate(updateQuery1);
			stmt.executeUpdate(updateQuery2);
			
			// Calling commit() method
			conn.commit();
			//Rollback transaction
			//conn.rollback();
			
			rs = stmt.executeQuery(selectQuery);
			
			while (rs.next()) {
				System.out.println("Roll No.- " + rs.getInt("RollNo")
						+ ", Name- " + rs.getString("Name") + ", Course- "
						+ rs.getString("Course") + ", Address- "
						+ rs.getString("Address"));
			}

		} catch (Exception e) {
			System.out.println("Error is: " + e.getMessage());
		}

	}

}
